# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'uranai/version'

Gem::Specification.new do |spec|
  spec.name          = "uranai"
  spec.version       = Uranai::VERSION
  spec.authors       = ["Teerawat Lamanchart"]
  spec.email         = ["teerawat.lamanchart@gmail.com"]

  spec.summary       = %q{Machine Learning for Ruby}
  spec.description   = %q{A library for solving Supervised Learning (regression & classification) problems}
  spec.homepage      = "https://github.com/teerawat1992/uranai"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
